---
title: "SMTP Monitor Check-Historie abrufen"
description: "Gibt die letzten Check-Ergebnisse für einen SMTP Monitor zurück."
---

`GET /api/smtp-monitors/:smtpMonitorPublicId/check-history`

## Authentifizierung

Erfordert eine gültige Session.

- Header: `Authorization: Bearer <token>`

## Parameter

- `smtpMonitorPublicId` (Pfad, erforderlich): Öffentliche UUID des SMTP Monitors.

## Query Parameter

- `limit` (number, optional)
  - Default: `50`
  - Max: `200`

## cURL

```bash
curl "https://YOUR_DOMAIN/api/smtp-monitors/33333333-3333-4333-8333-333333333333/check-history?limit=50" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

```json
{
  "data": [
    {
      "id": 12345,
      "status": "success",
      "errorMessage": null,
      "warningMessage": null,
      "timingSmtp": 123,
      "diagnostics": {
        "raw": "optional diagnostic payload"
      },
      "checkedAt": "2026-01-01T12:00:00.000Z",
      "locationId": 7,
      "locationName": "Nuremberg (DE)",
      "locationCode": "de-nbg"
    }
  ]
}
```

## Errors

- `400` SMTP Monitor Public ID (UUID) erforderlich
- `401` Unauthorized
- `403` Forbidden
- `404` Not found

